POST
/
v1
/
wallet
/
hd
/
sign
Sign transaction
curl --request POST \
  --url https://api.withconvexity.com/v1/wallet/hd/sign \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "chainType": "EVM",
  "addressIndex": 0,
  "chainId": 8453,
  "network": "MAINNET",
  "transaction": {
    "to": "0x9bF2a1C0d3E4f5A6b7C8d9E0f1A2b3C4d5E6f7A8",
    "value": "0",
    "data": "0xa9059cbb"
  }
}
'
{
  "status": true,
  "message": "Transaction signed successfully",
  "data": {
    "txHash": "0x5d2e8f3a1b4c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0f1a2b3c4d5e6f7a8b9c0d1e",
    "gasUsed": "52000",
    "feeWei": "420000000000000",
    "from": "0x3A1cF4e2B8D9a7C6e5F4b3A2c1D0e9F8a7B6c5D4",
    "relayer": "0xPaymaster0000000000000000000000000000001",
    "forwarder": "0xForwarder000000000000000000000000000000a"
  }
}

Authorizations

Authorization
string
header
required

OAuth 2.0 access token from Auth-Edge.

Headers

Idempotency-Key
string
required

Unique client-generated key (use a UUID) that makes this request safe to retry. A retry sent with the same key returns the original result instead of submitting again. See Idempotency.

Body

application/json
chainType
enum<string>
required
Available options:
EVM,
SOLANA
addressIndex
integer
required

HD index of the signing wallet.

transaction
object
required
chainId
integer

Target chain id (e.g. 8453). Required for EVM.

network
enum<string>
Available options:
MAINNET,
TESTNET

Response

OK

The response is of type object.